#
# spec file for package python-wsgiref
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-wsgiref
Version:        0.1.2
Release:        lp150.1.3
Summary:        WSGI (PEP 333) Reference Library
License:        Python-2.0 and ZPL-2.0
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/wsgiref
Source:         http://pypi.python.org/packages/source/w/wsgiref/wsgiref-%{version}.zip
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
This is a standalone release of the wsgiref library, that provides
validation support for WSGI 1.0.1 (PEP 3333) for Python versions < 3.2,
and includes the new wsgiref.util.test() utility function.

%prep
%setup -q -n wsgiref-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Mar  1 2013 coolo@suse.com
- update license to new format
* Wed Dec  7 2011 saschpe@suse.de
- Use http://pypi.python.org/pypi/wsgiref as URL
* Tue Nov 29 2011 saschpe@suse.de
- Set license to SDPX style (Python-2.0 ; ZPL.2.0)
- Package README.txt
- Buildrequire python-distribute instead of python-setuptools
* Mon Oct 24 2011 cthiel@suse.com
- initial package (version 0.1.2)
